API ReferenceMCP

Create a new MCP server instancev3.1

POST
/api/v3.1/mcp/servers/{serverId}/instances

Creates a new instance for a Model Control Protocol (MCP) server. This endpoint validates that the user has connected accounts for all auth configurations associated with the MCP server before creating the instance.

Authorization

ApiKeyAuth
x-api-key<token>

Project API key authentication

In: header

Path Parameters

serverIdstringRequired

The ID of the MCP server

Request Body

application/json

user_idstringRequired

The user ID (entity ID) that will be used as both the user identifier and instance ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v3.1/mcp/servers/550e8400-e29b-41d4-a716-446655440000/instances" \  -H "Content-Type: application/json" \  -d '{    "user_id": "user_123456"  }'
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "instance_id": "user_123456",  "mcp_server_id": "660e8400-e29b-41d4-a716-446655440001",  "created_at": "2023-06-10T09:15:00.000Z",  "updated_at": "2023-06-15T14:30:00.000Z"}